Bug 662450

Summary: spicec: remove annoying info pixmap
Product: [Fedora] Fedora Reporter: Tom Horsley <horsley1953>
Component: spiceAssignee: Hans de Goede <hdegoede>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: alexl, hdegoede, jforbes, kraxel
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: spice-protocol-0.6.4-1.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-02-22 13:47:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Patch removing the watermark none

Description Tom Horsley 2010-12-12 13:04:05 EST
Description of problem:

There is this insanely annoying semi-transparent pixmap overlaid on the
top of the spice client screen. All it does is tell me I am running the
spice client, which I knew when I started the spicec program.

It obscures actually useful information from the virtual machine, especially
when I'm running a maximized program on the KVM.

Please eradicate it utterly, or if there is some demented reason it seems
useful to someone, please at least provide a spicec option to disable it.


Version-Release number of selected component (if applicable):
spice-client-0.6.3-4.fc14.x86_64


How reproducible:
It is always there.

Steps to Reproduce:
1. Bring up spice client to view a KVM console.
2.
3.
  
Actual results:
Annoying pixmap at top center of screen.

Expected results:
Some way to avoid being annoyed short of rebuilding from source after
patching the code.

Additional info:

I've been poking around in the source and it appears to be the image
referred to as INFO_IMAGE_RES_ID that I'm talking about.
Comment 1 Hans de Goede 2010-12-15 10:42:57 EST
I agree the info image is annoying. I have a patch which I'll attach here. If accepted I'll also put it upstream.
Comment 2 Hans de Goede 2010-12-15 10:43:30 EST
Created attachment 468879 [details]
Patch removing the watermark
Comment 3 Fedora Update System 2011-02-14 04:45:58 EST
spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14
Comment 4 Fedora Update System 2011-02-14 15:30:16 EST
spice-protocol-0.6.4-1.fc14, spice-0.6.4-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spice-protocol spice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/spice-protocol-0.6.4-1.fc14,spice-0.6.4-1.fc14
Comment 5 Fedora Update System 2011-02-22 13:46:59 EST
spice-protocol-0.6.4-1.fc14, spice-0.6.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.